MacDraft5StyleManagerInternal::Pixmap Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MacDraft5StyleManagerInternal::Pixmap Struct Reference

Internal and low level: a class used to read pack/unpack color pixmap of a MacDraf5StyleManager. More...

## Public Member Functions
| Pixmap ()
bool | readPixmapData (MWAWInputStream &input)
| parses the pixmap data zone More...
bool | get (MWAWEmbeddedObject &picture, MWAWVec2i &pictSize, MWAWColor &avColor) const
| returns the pixmap More...

## Public Attributes
int | m_rowBytes
| the num of bytes used to store a row More...
MWAWBox2i | m_rect
| the pixmap rectangle More...
int | m_version
| the pixmap version More...
int | m_packType
| the packing format More...
long | m_packSize
| size of data in the packed state More...
int | m_resolution [2]
| horizontal/vertical definition More...
int | m_pixelType
| format of pixel image More...
int | m_pixelSize
| physical bit by image More...
int | m_compCount
| logical components per pixels More...
int | m_compSize
| logical bits by components More...
long | m_planeBytes
| offset to the next plane More...
std::vector< MWAWColor > | m_colorTable
| the color table More...
std::vector< int > | m_indices
| the pixmap indices More...
std::vector< MWAWColor > | m_colors
| the colors More...
int | m_mode
| the encoding mode ? More...

## Friends
std::ostream & | operator<< (std::ostream &o, Pixmap const &f)
| operator<< for Pixmap More...

## Detailed Description

Internal and low level: a class used to read pack/unpack color pixmap of a MacDraf5StyleManager.

Note
  parse only unpacked pixmap, if packed pixmap can exist, the code of ApplePictParserInternal::Pixmap must be used

## Constructor & Destructor Documentation

## ◆ Pixmap()

MacDraft5StyleManagerInternal::Pixmap::Pixmap | ( |  | ) |
| inline

## Member Function Documentation

## ◆ get()

bool MacDraft5StyleManagerInternal::Pixmap::get | ( | MWAWEmbeddedObject & | picture,
|  | MWAWVec2i & | pictSize,
|  | MWAWColor & | avColor
| ) |  | const
| inline

returns the pixmap

## ◆ readPixmapData()

bool MacDraft5StyleManagerInternal::Pixmap::readPixmapData | ( | MWAWInputStream & | input | ) |
| inline

parses the pixmap data zone

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Pixmap const & | f
| ) |  |
| friend

operator<< for Pixmap

## Member Data Documentation

## ◆ m_colors

std::vector<MWAWColor> MacDraft5StyleManagerInternal::Pixmap::m_colors

the colors

Referenced by get(), and readPixmapData().

## ◆ m_colorTable

std::vector<MWAWColor> MacDraft5StyleManagerInternal::Pixmap::m_colorTable

the color table

Referenced by get(), and readPixmapData().

## ◆ m_compCount

int MacDraft5StyleManagerInternal::Pixmap::m_compCount

logical components per pixels

## ◆ m_compSize

int MacDraft5StyleManagerInternal::Pixmap::m_compSize

logical bits by components

## ◆ m_indices

std::vector<int> MacDraft5StyleManagerInternal::Pixmap::m_indices

the pixmap indices

Referenced by get(), and readPixmapData().

## ◆ m_mode

int MacDraft5StyleManagerInternal::Pixmap::m_mode

the encoding mode ?

## ◆ m_packSize

long MacDraft5StyleManagerInternal::Pixmap::m_packSize

size of data in the packed state

## ◆ m_packType

int MacDraft5StyleManagerInternal::Pixmap::m_packType

the packing format

## ◆ m_pixelSize

int MacDraft5StyleManagerInternal::Pixmap::m_pixelSize

physical bit by image

Referenced by readPixmapData().

## ◆ m_pixelType

int MacDraft5StyleManagerInternal::Pixmap::m_pixelType

format of pixel image

## ◆ m_planeBytes

long MacDraft5StyleManagerInternal::Pixmap::m_planeBytes

offset to the next plane

## ◆ m_rect

MWAWBox2i MacDraft5StyleManagerInternal::Pixmap::m_rect

the pixmap rectangle

Referenced by get(), and readPixmapData().

## ◆ m_resolution

int MacDraft5StyleManagerInternal::Pixmap::m_resolution[2]

horizontal/vertical definition

Referenced by Pixmap().

## ◆ m_rowBytes

int MacDraft5StyleManagerInternal::Pixmap::m_rowBytes

the num of bytes used to store a row

Referenced by readPixmapData().

## ◆ m_version

int MacDraft5StyleManagerInternal::Pixmap::m_version

the pixmap version

The documentation for this struct was generated from the following file:

- MacDraft5StyleManager.cxx